<?php
/**
 * @package         Conditions
 * @version         24.3.3300
 * 
 * @author          Peter van Westen <info@regularlabs.com>
 * @link            https://regularlabs.com
 * @copyright       Copyright © 2024 Regular Labs All Rights Reserved
 * @license         GNU General Public License version 2 or later
 */

namespace RegularLabs\Component\Conditions\Administrator\Condition\Hikashop;

defined('_JEXEC') or die;

use RegularLabs\Component\Conditions\Administrator\Condition\HasArraySelection;

class Item extends Hikashop
{
    use HasArraySelection;

    public function pass(): bool
    {
        if ($this->request->option !== 'com_hikashop')
        {
            return false;
        }

        if ($this->request->view !== 'product')
        {
            return false;
        }

        return $this->passSimple($this->request->id);
    }
}
